Loading...
Searching...
No Matches
openmpt Namespace Reference

## Namespaces

namespace | ext
namespace | string

## Classes

class | exception
| libopenmpt exception base class More...
class | module
class | module_ext

## Enumerations

enum | probe_file_header_flags : std::uint64_t { probe_file_header_flags_modules2 = 0x1ull , probe_file_header_flags_containers2 = 0x2ull , probe_file_header_flags_default2 = probe_file_header_flags_modules2 | probe_file_header_flags_containers2 , probe_file_header_flags_none2 = 0x0ull }
| Possible values for openmpt::probe_file_header() flags parameter. More...
enum | probe_file_header_result { probe_file_header_result_success = 1 , probe_file_header_result_failure = 0 , probe_file_header_result_wantmoredata = -1 }
| Possible return values for openmpt::probe_file_header(). More...

## Functions

LIBOPENMPT_CXX_API std::uint32_t | get_library_version ()
| Get the libopenmpt version number.
LIBOPENMPT_CXX_API std::uint32_t | get_core_version ()
| Get the core version number.
LIBOPENMPT_CXX_API std::vector< std::string > | get_supported_extensions ()
| Get a list of supported file extensions.
LIBOPENMPT_ATTR_DEPRECATED LIBOPENMPT_CXX_API bool | is_extension_supported (const std::string &extension)
| Query whether a file extension is supported.
LIBOPENMPT_CXX_API bool | is_extension_supported2 (std::string_view extension)
| Query whether a file extension is supported.
LIBOPENMPT_CXX_API double | could_open_probability (std::istream &stream, double effort=1.0, std::ostream &log=std::clog)
| Roughly scan the input stream to find out whether libopenmpt might be able to open it.
LIBOPENMPT_ATTR_DEPRECATED LIBOPENMPT_CXX_API double | could_open_propability (std::istream &stream, double effort=1.0, std::ostream &log=std::clog)
| Roughly scan the input stream to find out whether libopenmpt might be able to open it.
LIBOPENMPT_CXX_API std::size_t | probe_file_header_get_recommended_size ()
| Get recommended header size for successfull format probing.
LIBOPENMPT_CXX_API int | probe_file_header (std::uint64_t flags, const std::byte *data, std::size_t size, std::uint64_t filesize)
| Probe the provided bytes from the beginning of a file for supported file format headers to find out whether libopenmpt might be able to open it.
LIBOPENMPT_CXX_API int | probe_file_header (std::uint64_t flags, const std::uint8_t *data, std::size_t size, std::uint64_t filesize)
| Probe the provided bytes from the beginning of a file for supported file format headers to find out whether libopenmpt might be able to open it.
LIBOPENMPT_CXX_API int | probe_file_header (std::uint64_t flags, const std::byte *data, std::size_t size)
| Probe the provided bytes from the beginning of a file for supported file format headers to find out whether libopenmpt might be able to open it.
LIBOPENMPT_CXX_API int | probe_file_header (std::uint64_t flags, const std::uint8_t *data, std::size_t size)
| Probe the provided bytes from the beginning of a file for supported file format headers to find out whether libopenmpt might be able to open it.
LIBOPENMPT_CXX_API int | probe_file_header (std::uint64_t flags, std::istream &stream)
| Probe the provided bytes from the beginning of a file for supported file format headers to find out whether libopenmpt might be able to open it.

## Variables

static const std::uint64_t probe_file_header_flags_modules | LIBOPENMPT_ATTR_DEPRECATED = 0x1ull
| Probe for module formats in openmpt::probe_file_header().